Debian Bug report logs - #566331
ghc6-6.12.1-2 FTBFS in s390.

version graph

Package: ghc6; Maintainer for ghc6 is Kari Pahula <kaol@debian.org>; Source for ghc6 is src:ghc.

Reported by: Marco Túlio Gontijo e Silva <marcot@debian.org>

Date: Fri, 22 Jan 2010 23:00:02 UTC

Severity: serious

Found in version ghc6/6.12.1-2

Fixed in versions ghc6/6.12.1-3, ghc6/6.12.1-4

Done: Kari Pahula <kaol@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://hackage.haskell.org/trac/ghc/ticket/3836

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-haskell@lists.debian.org, Kari Pahula <kaol@debian.org>:
Bug#566331; Package ghc6. (Fri, 22 Jan 2010 23:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
New Bug report received and forwarded. Copy sent to debian-haskell@lists.debian.org, Kari Pahula <kaol@debian.org>. (Fri, 22 Jan 2010 23:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@riseup.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ghc6-6.12.1-2 FTBFS in s390.
Date: Fri, 22 Jan 2010 20:58:39 -0200
Package: ghc6
Version: 6.10.4-1
Severity: serious

Hi.

The error:

utils/haddock/src/Haddock/Interface/AttachInstances.hs:28:19:
    Module `TcRnDriver' does not export `tcRnGetInfo'

The related line in utils/haddock/src/Haddock/Interface/AttachInstances.hs is:

import TcRnDriver (tcRnGetInfo)

This function is used only once, in:

-- | Like GHC's getInfo but doesn't cut things out depending on the
-- interative context, which we don't set sufficiently anyway.
getAllInfo :: GhcMonad m => Name -> m (Maybe (TyThing,Fixity,[Instance]))
getAllInfo name = withSession $ \hsc_env -> ioMsg $ tcRnGetInfo hsc_env name

The problem is that this function is only exported by
compiler/typecheck/TcRnDriver if GHCI is available:

module TcRnDriver (
#ifdef GHCI
        tcRnStmt, tcRnExpr, tcRnType,
        tcRnLookupRdrName,
        tcRnLookupName,
        tcRnGetInfo,
        getModuleExports, 
#endif

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=pt_BR.UTF-8, LC_CTYPE=pt_BR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ghc6 depends on:
ii  gcc                       4:4.4.2-2      The GNU C compiler
ii  libc6                     2.10.2-2       GNU C Library: Shared libraries
ii  libffi-dev                3.0.9~rc3-1    Foreign Function Interface library
ii  libffi5                   3.0.9~rc3-1    Foreign Function Interface library
ii  libgmp3-dev               2:4.3.1+dfsg-3 Multiprecision arithmetic library 
ii  libgmp3c2                 2:4.3.1+dfsg-3 Multiprecision arithmetic library
ii  perl [perl5]              5.10.1-8       Larry Wall's Practical Extraction 

ghc6 recommends no packages.

Versions of packages ghc6 suggests:
ii  ghc6-doc                      6.10.4-1   Documentation for the Glasgow Hask
ii  ghc6-prof                     6.10.4-1   Profiling libraries for the Glasgo
pn  haskell-doc                   <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Kari Pahula <kaol@debian.org>:
Bug#566331; Package ghc6. (Fri, 22 Jan 2010 23:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
Extra info received and forwarded to list. Copy sent to Kari Pahula <kaol@debian.org>. (Fri, 22 Jan 2010 23:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 566331@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@riseup.net>
To: control@bugs.debian.org, 566331@bugs.debian.org
Subject: Correction
Date: Fri, 22 Jan 2010 21:12:21 -0200
found 566331 6.12.1-2
notfound 566331 6.10.4-1
forwarded 566331 http://hackage.haskell.org/trac/ghc/ticket/3836
thanks

Hi.

It seems that every platform without GHCi will be affected by this bug.

Greetings.
-- 
marcot
http://marcot.iaaeee.org/






Bug Marked as found in versions ghc6/6.12.1-2. Request was from Marco Túlio Gontijo e Silva <marcot@riseup.net> to control@bugs.debian.org. (Fri, 22 Jan 2010 23:15:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions ghc6/6.10.4-1. Request was from Marco Túlio Gontijo e Silva <marcot@riseup.net> to control@bugs.debian.org. (Fri, 22 Jan 2010 23:15:05 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://hackage.haskell.org/trac/ghc/ticket/3836'. Request was from Marco Túlio Gontijo e Silva <marcot@riseup.net> to control@bugs.debian.org. (Fri, 22 Jan 2010 23:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Kari Pahula <kaol@debian.org>:
Bug#566331; Package ghc6. (Sat, 23 Jan 2010 10:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
Extra info received and forwarded to list. Copy sent to Kari Pahula <kaol@debian.org>. (Sat, 23 Jan 2010 10:45:09 GMT) Full text and rfc822 format available.

Message #21 received at 566331@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@riseup.net>
To: 566331@bugs.debian.org
Subject: Link to the whole build log
Date: Sat, 23 Jan 2010 08:41:10 -0200
https://buildd.debian.org/fetch.cgi?pkg=ghc6;ver=6.12.1-2;arch=s390;stamp=1263986261

Greetings.
-- 
marcot
http://marcot.iaaeee.org/






Information forwarded to debian-bugs-dist@lists.debian.org, Kari Pahula <kaol@debian.org>:
Bug#566331; Package ghc6. (Sat, 23 Jan 2010 11:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
Extra info received and forwarded to list. Copy sent to Kari Pahula <kaol@debian.org>. (Sat, 23 Jan 2010 11:39:05 GMT) Full text and rfc822 format available.

Message #26 received at 566331@bugs.debian.org (full text, mbox):

From: Marco Túlio Gontijo e Silva <marcot@riseup.net>
To: 566331@bugs.debian.org
Subject: Patch to work around it
Date: Sat, 23 Jan 2010 09:36:25 -0200
[Message part 1 (text/plain, inline)]
tags 566331 patch
thanks

Hi.

I've made this patch that should make it build.  I'm not sure about the
semantic consequences, and haven't tested it, but it's a start.

Greetings.
-- 
marcot
http://marcot.iaaeee.org/

[s390.patch (text/x-patch, attachment)]

Reply sent to Kari Pahula <kaol@debian.org>:
You have taken responsibility. (Thu, 28 Jan 2010 03:51:09 GMT) Full text and rfc822 format available.

Notification sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
Bug acknowledged by developer. (Thu, 28 Jan 2010 03:51:09 GMT) Full text and rfc822 format available.

Message #31 received at 566331-close@bugs.debian.org (full text, mbox):

From: Kari Pahula <kaol@debian.org>
To: 566331-close@bugs.debian.org
Subject: Bug#566331: fixed in ghc6 6.12.1-3
Date: Thu, 28 Jan 2010 03:50:28 +0000
Source: ghc6
Source-Version: 6.12.1-3

We believe that the bug you reported is fixed in the latest version of
ghc6, which is due to be installed in the Debian FTP archive:

ghc6-doc_6.12.1-3_all.deb
  to main/g/ghc6/ghc6-doc_6.12.1-3_all.deb
ghc6-prof_6.12.1-3_i386.deb
  to main/g/ghc6/ghc6-prof_6.12.1-3_i386.deb
ghc6_6.12.1-3.debian.tar.gz
  to main/g/ghc6/ghc6_6.12.1-3.debian.tar.gz
ghc6_6.12.1-3.dsc
  to main/g/ghc6/ghc6_6.12.1-3.dsc
ghc6_6.12.1-3_i386.deb
  to main/g/ghc6/ghc6_6.12.1-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566331@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kari Pahula <kaol@debian.org> (supplier of updated ghc6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 27 Jan 2010 23:37:32 +0200
Source: ghc6
Binary: ghc6 ghc6-prof ghc6-doc
Architecture: source all i386
Version: 6.12.1-3
Distribution: experimental
Urgency: low
Maintainer: Kari Pahula <kaol@debian.org>
Changed-By: Kari Pahula <kaol@debian.org>
Description: 
 ghc6       - GHC - the Glasgow Haskell Compilation system
 ghc6-doc   - Documentation for the Glasgow Haskell Compilation system
 ghc6-prof  - Profiling libraries for the Glasgow Haskell Compilation system
Closes: 565818 566331
Changes: 
 ghc6 (6.12.1-3) experimental; urgency=low
 .
   * Updated ghc-pkg's man page.
   * Added a trigger to run ghc-pkg recache when files are added to
     /var/lib/ghc-6.12.1/package.conf.d/.
   * Patch rts/posix/OSThreads.c to define _GNU_SOURCE on kfreebsd
     too. (Closes: #565818)
   * Patch utils/haddock/src/Haddock/Interface/AttachInstances.hs to use
     Nothing as mb_info in attachInstances when GHCI is
     unavailable. (Closes: #566331)
   * Breaks cabal-install (<< 0.8.0).
Checksums-Sha1: 
 b66a234eb1e6715d686b0862c4aa83a99cf45098 1231 ghc6_6.12.1-3.dsc
 7b55c728db2531aed97b5d2e26a8ef69a400f6f1 35351 ghc6_6.12.1-3.debian.tar.gz
 d64e849711efd901977262d91ad844c600f672b7 8369180 ghc6-doc_6.12.1-3_all.deb
 590f7a79a0841fd6c4631c939bd0f58f5b1a4829 59571320 ghc6_6.12.1-3_i386.deb
 42323a278cf5cc8d74d9fc1e46d0a5eb1cb0b767 35168176 ghc6-prof_6.12.1-3_i386.deb
Checksums-Sha256: 
 120da2952a7091f5b99903ce7b85290c311b064459ee1563a53342549edd14b2 1231 ghc6_6.12.1-3.dsc
 16902b4b1af9c26f299bf1af9b034d2b091b3e8e2330cd32f898f741d8f9bdd9 35351 ghc6_6.12.1-3.debian.tar.gz
 a59c9e1d291ab2913705cc4e1824318634d383479f0712cef361d21eb3036f42 8369180 ghc6-doc_6.12.1-3_all.deb
 460537c3c5511ca3e9973403d7ee26e5d527b88d259b7257b33af53c12378904 59571320 ghc6_6.12.1-3_i386.deb
 64eea02b900611e05b5c44c407b4e6e775fe30671e92dbbb9883aa7a915f2ce4 35168176 ghc6-prof_6.12.1-3_i386.deb
Files: 
 7c4ba83143803b2c2e89babeee48d3b9 1231 haskell optional ghc6_6.12.1-3.dsc
 6bc2284e81f1758d97a5a2e35e47c6ea 35351 haskell optional ghc6_6.12.1-3.debian.tar.gz
 fea289838a014cf0365f5654f6a28684 8369180 doc optional ghc6-doc_6.12.1-3_all.deb
 c850c2bf92752d848d4e170b69177f50 59571320 haskell optional ghc6_6.12.1-3_i386.deb
 55ecf4ac6d99b0bc00f66f3a5a608b6c 35168176 haskell optional ghc6-prof_6.12.1-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktg+aAACgkQeYl9593Atw01uACdHkQzsJs/kSaAarU1XXxC48mo
ZHgAnAtFYJFoxesTPU5j4/sVA2Pnbti1
=p5dO
-----END PGP SIGNATURE-----





Reply sent to Kari Pahula <kaol@debian.org>:
You have taken responsibility. (Thu, 28 Jan 2010 11:36:21 GMT) Full text and rfc822 format available.

Notification sent to Marco Túlio Gontijo e Silva <marcot@riseup.net>:
Bug acknowledged by developer. (Thu, 28 Jan 2010 11:36:21 GMT) Full text and rfc822 format available.

Message #36 received at 566331-close@bugs.debian.org (full text, mbox):

From: Kari Pahula <kaol@debian.org>
To: 566331-close@bugs.debian.org
Subject: Bug#566331: fixed in ghc6 6.12.1-4
Date: Thu, 28 Jan 2010 11:34:31 +0000
Source: ghc6
Source-Version: 6.12.1-4

We believe that the bug you reported is fixed in the latest version of
ghc6, which is due to be installed in the Debian FTP archive:

ghc6-doc_6.12.1-4_all.deb
  to main/g/ghc6/ghc6-doc_6.12.1-4_all.deb
ghc6-prof_6.12.1-4_i386.deb
  to main/g/ghc6/ghc6-prof_6.12.1-4_i386.deb
ghc6_6.12.1-4.debian.tar.gz
  to main/g/ghc6/ghc6_6.12.1-4.debian.tar.gz
ghc6_6.12.1-4.dsc
  to main/g/ghc6/ghc6_6.12.1-4.dsc
ghc6_6.12.1-4_i386.deb
  to main/g/ghc6/ghc6_6.12.1-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566331@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kari Pahula <kaol@debian.org> (supplier of updated ghc6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 28 Jan 2010 11:46:55 +0200
Source: ghc6
Binary: ghc6 ghc6-prof ghc6-doc
Architecture: source all i386
Version: 6.12.1-4
Distribution: experimental
Urgency: low
Maintainer: Kari Pahula <kaol@debian.org>
Changed-By: Kari Pahula <kaol@debian.org>
Description: 
 ghc6       - GHC - the Glasgow Haskell Compilation system
 ghc6-doc   - Documentation for the Glasgow Haskell Compilation system
 ghc6-prof  - Profiling libraries for the Glasgow Haskell Compilation system
Closes: 566331
Changes: 
 ghc6 (6.12.1-4) experimental; urgency=low
 .
   * Patched utils/haddock/src/Haddock/Interface/Create.hs to use
     lookupGlobalName instead of lookupName when GHCI is
     unavailable. (Closes: #566331)
Checksums-Sha1: 
 fdf70ecd87d5b697852be1b389f29c05a6166983 1231 ghc6_6.12.1-4.dsc
 e846ab9d1fac8c28348aca353ed46de9701c712b 35580 ghc6_6.12.1-4.debian.tar.gz
 336e53f59f3e65a8cd3aa9670c4eb159f0c7a126 8352190 ghc6-doc_6.12.1-4_all.deb
 14f608444533235d3a14f9a74532eec83011747f 59569958 ghc6_6.12.1-4_i386.deb
 6fba8c56030f404955378ddb070be07d07843564 35167450 ghc6-prof_6.12.1-4_i386.deb
Checksums-Sha256: 
 87ea9bfc4c7b659544dc861d9ee3d9738809779720680c04a6f15af7ff4b2ec5 1231 ghc6_6.12.1-4.dsc
 d6a1445c021cff77af530ced0a3eeda9570671e1c2b8607ad33ba329746db059 35580 ghc6_6.12.1-4.debian.tar.gz
 5acfcbad3a55f4a4a83c8bb106e3580c8041b511d2a32485fff017c1f200b35d 8352190 ghc6-doc_6.12.1-4_all.deb
 8d48ff45041cb0aff25dc01e9eeedde5676b9be687820dea0e54213ca7331149 59569958 ghc6_6.12.1-4_i386.deb
 0e3b770669719dd9f15631de059c9593b1a8fc06b84f01d1678e8165e2bada09 35167450 ghc6-prof_6.12.1-4_i386.deb
Files: 
 49d57a5e3e93d594e0dea0c84ac1a6b1 1231 haskell optional ghc6_6.12.1-4.dsc
 de44ee90eba1b20682308afa347d13bd 35580 haskell optional ghc6_6.12.1-4.debian.tar.gz
 6adf587b02c10cf2a9e439fdcd6b0852 8352190 doc optional ghc6-doc_6.12.1-4_all.deb
 271e1b883eec6c853acf44ba8b4169a8 59569958 haskell optional ghc6_6.12.1-4_i386.deb
 d8514f06f827c2dd128d73d66ce434c4 35167450 haskell optional ghc6-prof_6.12.1-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkthcQYACgkQeYl9593Atw1yjgCfWZi7mUqISA+2yCUHsUImKrf0
gRkAniSeg8hvq30wT/KSwqMvr40KbKww
=UNYN
-----END PGP SIGNATURE-----





Changed Bug submitter to 'Marco Túlio Gontijo e Silva <marcot@debian.org>' from 'Marco Túlio Gontijo e Silva <marcot@riseup.net>' Request was from Marco Túlio Gontijo e Silva <marcot@debian.org> to control@bugs.debian.org. (Mon, 01 Feb 2010 18:40:39 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Mar 2010 07:33:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:17:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.